Bug 1018719 - Exception during deployment of camel-example-cxf-tomcat [NEEDINFO]
Exception during deployment of camel-example-cxf-tomcat
Status: CLOSED WONTFIX
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: kconner
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 05:30 EDT by Jiri Pechanec
Modified: 2015-08-02 19:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you try to deploy the camel-example-cxf-tomcat quick start, an exception is raised. As a result, users cannot run this quick start.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-16 11:43:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kconner: needinfo? (jpechane)


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-10-14 05:30:40 EDT
When deploying camel-example-cxf-tomcat QS an exception is shown in the log


11:27:54,294 WARN  [org.jboss.as.ee] (MSC service thread 1-8) JBAS011006: Not installing optional component org.apache.cxf.transport.http.Servlet3ContinuationProvider$Servlet3Continuation due to exception: org.jboss.as.server.deployment.DeploymentUnitProcessingException: JBAS011054: Could not find default constructor for class 

org.apache.cxf.transport.http.Servlet3ContinuationProvider$Servlet3Continuation
        at org.jboss.as.ee.component.ComponentDescription$DefaultComponentConfigurator.configure(ComponentDescription.java:607) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
        at org.jboss.as.ee.component.deployers.EEModuleConfigurationProcessor.deploy(EEModuleConfigurationProcessor.java:80) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
        at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:120)
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811)
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_25]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_25]
        at java.lang.Thread.run(Thread.java:724) [rt.jar:1.7.0_25]
Comment 1 kconner 2013-10-14 12:28:06 EDT
This needs to be handled by the Fuse team, can we log a BZ with them and link it to this?
Comment 2 kconner 2013-10-30 20:29:21 EDT
Has an issue been raised with the Fuse team?
Comment 3 Willem Jiang 2014-04-01 21:39:46 EDT
Servlet3ContinuationProvider$Servlet3Continuation doesn't have the public construction method. 
I think it is harmless as the Servlet3Continuation is used by Servlet3ContinuationProvider and it don't need to be managed by container.
Comment 4 Gomathi Anandan 2014-10-24 14:50:33 EDT
Resetting the flags back to the state it was before Oct-24- 2PM. There was an incorrect bulk update that I'm trying to fix.
Comment 5 Aileen 2015-02-16 11:43:14 EST
we are no longer shipping this quickstart in 6.2

Note You need to log in before you can comment on or make changes to this bug.